module NotificationsCenter
  class HousingOffer < Base
    KEYS = NOTIFICATION_KEYS[:housing_offer]
    def initialize(*arg)
      super
      @offer = @instance.notifiable
      @typology = @offer.typology
      @number = @offer.reference
      @city = @offer.city
      @size = @offer.surface
    end

    def title
      case @key        
      when KEYS[:new_eligible_offer]
        "#{NAME} - Nouveau logement"
      when KEYS[:position_decreased]
        "#{NAME} - Information sur votre candidature"
      else
        ''
      end
    end

    def body
      case @key        
      when KEYS[:new_eligible_offer]
        "
          Une nouvelle offre de logement correspondant à votre situation et vos critères de recherche vient d'être publiée. #{@typology} - #{@city} - #{@size}m2\n
          <br/>
          <br/>
          <br/>
          Rendez vous régulièrement sur la plateforme afin de consulter les offres de logements. 
        "
      when KEYS[:position_decreased]
        score = Hermes::Score.find(@instance[:datas][:score_id])
        @instance.destroy # destroy notification (just send email)
        "
          A la suite de nombreuses candidatures, votre position sur le logement au #{@offer.full_address} a évolué. Vous êtes maintenant numéro #{score.applicated_position}.
          Pour augmenter vos chances de trouver un logement, nous vous conseillons de candidater à d'autres offres.
        "
      else
        ''
      end
    end

    def actions
      case @key          
        when KEYS[:new_eligible_offer]
          {
            title: 'Voir les offres',
            link: '#connexion-demandeur'
          }
        when KEYS[:position_decreased]
          {
            title: 'Voir les offres',
            link: '#connexion-demandeur'
          }
        else
          ''
      end
    end

    def offer_link
      "#{BASE_URL}/offers/#{@offer.id}"
    end
  end
end